const MenuEvent = require('../menu-event');
const { ipcRenderer } = require('electron');

class ElectronMenuEvent extends MenuEvent {
    constructor() {
        super();
    }

    on(event, listener) {
        ipcRenderer.on(event, listener);
    }

    dispatch(event, ...data) {
        ipcRenderer.send(event, data);
    }
}

module.exports = ElectronMenuEvent;