const ElectronSender = require('./electron/electron-sender');
const ElectronReceiver = require('./electron/electron-receiver');
const WebSender = require('./web/web-sender');
const WebReceiver = require('./web/web-receiver');

const sender = (process.versions['electron']) ? new ElectronSender() : new WebSender();
const receiver = (process.versions['electron']) ? new ElectronReceiver() : new WebReceiver();

module.exports = { sender, receiver };