{
  "variables": {
      "nomad%": "false",
      "vexplib%": "false"
  },  

  "targets": [
    {
      "target_name": "addoncameonomad",
      "sources": [
      ],
      'cflags!': [ '-fno-exceptions' ],
      'cflags_cc!': [ '-fno-exceptions' ],
      'conditions': [
        ['nomad=="true"', {
          "sources": [
            "addons/cameo-nomad-addon.cc",
          ],
          "conditions": [
            ['OS=="mac"', {
              'xcode_settings': {
                'GCC_ENABLE_CPP_EXCEPTIONS': 'YES'
              },
            }]    
          ],
          "libraries": [
            "-lnomadaccessor -lcameo -lprotobuf -lzmq"
          ]
        }]
      ]
    },

    {
			"target_name": "addonvexpspy",
			'cflags!': [ '-fno-exceptions' ],
			'cflags_cc!': [ '-fno-exceptions' ],
			'conditions': [
        		['nomad=="true"', {
          			"sources": [
            			"addons/cameo-spy-addon.cc",
          			],
          			"conditions": [
            			['OS=="mac"', {
              				'xcode_settings': {
                				'GCC_ENABLE_CPP_EXCEPTIONS': 'YES'
              				},
            			}]    
          			],
          			"libraries": [
            			"-lcameo -lprotobuf -lzmq"
          			]
        		}]
      		]
		},

    {
      "target_name": "addonvexplib",
      "sources": [
      ],
      'cflags!': [ '-fno-exceptions' ],
      'cflags_cc!': [ '-fno-exceptions' ],
      'conditions': [
        ['vexplib=="true"', {
          "sources": [
            "addons/vexplib-addon.cc",
          ],
          "conditions": [
            ['OS=="mac"', {
              'xcode_settings': {
                'GCC_ENABLE_CPP_EXCEPTIONS': 'YES'
              },
            }]    
          ],
          "libraries": [
            "-lvexplib"
          ]
        }]
      ]
    }


  ]
}
