class Receiver {
    constructor() {
        if (this.constructor === Receiver) {
            throw new Error("Can't instantiate abstract class!");
        }
    }

    on(event, callback) {
        throw new Error("on must be redefined.");
    }
}

module.exports = Receiver;