class Sender {
    constructor() {
        if (this.constructor === Sender) {
            throw new Error("Can't instantiate abstract class!");
        }
    }

    send(req, data) {
        throw new Error("send must be redefined.");
    }
}

module.exports = Sender;